<?php
session_start();
include "../phpconfig/config.php";
include "../phpconfig/valida_login.php";
include "../phpconfig/funcoes.php";
include "../phpconfig/slugfy.php";
include '../phpconfig/resize.php';    //Classe de resige GD2
include '../phpconfig/genpass.php';   //Geração de senhas


//[estados] => 21 [cidades] => 1 [bairros] => 1

/*
Array
(
    [id] => 1082
    [empresa] => 3 R IMÓVEIS - Parque 10 de Novembro - Manaus
    [slug] => 3-r-imoveis-parque-10-de-novembro-manaus
    [cidades] => 452
    [uf] => 8
    [cidade] => 35
    [bairro] => 452  
    [telefone] => (92) 3584-2005
    

    [lista] => 2424242
    [site] => 242434234
    [email] => 234234234324
    [face] => 23432434
    [zap] => 32234343242
    [titulo] => 42432433
    [descri] => 234242424
    [keywords] => 42424
    [pag] => Array
        (
            [0] => 1
            [1] => 2
            [2] => 3
            [3] => 4
        )

    [conteudo] => 23432434
)
*/

$id        =       $_POST['id'];

$selemp = mysql_query("SELECT id_emp FROM empresamais WHERE id_emp='$id'");

if(mysql_num_rows($selemp)==0){

	mysql_query("INSERT INTO empresamais (id_emp) VALUES   ('$id')" );
}


$empresa   =  $_POST['empresa'];

$cidades   =  $_POST['cidades'];
$uf        =  $_POST['estados'];
$bairros    =   $_POST['bairros'];

$telefone  = $_POST['telefone'];
$telefone2  = $_POST['telefone2'];
$telefone3  = $_POST['telefone3'];

$lista     =    $_POST['lista'];
$mapa     =    $_POST['mapa'];
$site      =     $_POST['site'];
$email     =    $_POST['email'];
$face      =     $_POST['face'];
$instagram      =     $_POST['instagram'];
$zap       =      $_POST['zap'];
$titulo    =   $_POST['titulo'];
$descri    =   $_POST['descri'];
$sobre    =   $_POST['sobre'];
$keywords  = $_POST['keywords'];
$pag       = serialize($_POST['pag']);


$img       =    $_FILES['logo'];



$slug = slugfyURL($_POST['slug']);
if(strlen($slug)==0) { $slug=slugfyURL($empresa); }

$uploadDir = sti('doc_root').sti('up').'logos/';

$fileTypes = array('jpg', 'jpeg', 'gif', 'png'); // Allowed file extensions

if (!empty($img)) {
	$tempFile   = $img['tmp_name'];
	$arch = slugfyUp($img['name']);
	$name = simplesPass(array(1,0,1,0),4)."-".$arch;
	$targetFile = $uploadDir . $name ;


	// Validate the filetype
	$fileParts = pathinfo($img['name']);
	if (in_array(strtolower($fileParts['extension']), $fileTypes)) {

		move_uploaded_file($tempFile, $targetFile);

		$resizeObj = new resize($targetFile);
		$resizeObj -> resizeImage(310, 217, 'crop');
		
		$resizeObj -> saveImage($uploadDir.$name);
		$resizeObj -> resizeImage(310, 217, 'crop');
		$resizeObj -> saveImage($uploadDir.'thumb-'.$name, 80);		



		mysql_query("UPDATE empresamais SET logo='$name' WHERE id_emp='$id'") or die(mysql_error());


	}
}



mysql_query("UPDATE empresas SET  
	empresa='$empresa',
	slug='$slug',
	id_cidade='$cidades',
	id_uf='$uf',
	id_bairro='$bairros',
	telefone='$telefone',
        telefone2='$telefone2',
        telefone3='$telefone3',
	slug='$slug'
	WHERE id='$id'", $con) or die(mysql_error());


mysql_query("UPDATE empresamais SET  
	lista='$lista',
	site='$site',
	email='$email',
	face='$face',
        instagram='$instagram',
	zap='$zap',
	titulo='$titulo',
	descri='$descri',
	sobre='$sobre',
	keywords='$keywords',
	pag='$pag',
	mapa='$mapa'
	WHERE id_emp='$id'", $con) or die(mysql_error());


  
header("location:edit.php?id=$id");


